recursive array join (ArgumentError)

23/07/2009 - 21:35 von Thomas Preymesser | Report spam
Kann mir jemand sagen, in welche Richtung ich diese Fehlermeldung
interpretieren soll? Ich mache hier in meinem Programm nichts weiter
als ein "require 'mechanize'".

-Thomas

/usr/local/lib/ruby/1.9.1/uri.rb:17:in `join': recursive array join
(ArgumentError)
from /usr/local/lib/ruby/1.9.1/uri.rb:17:in `<module:URI>'
from /usr/local/lib/ruby/1.9.1/uri.rb:14:in `<top (required)>'
from /usr/local/lib/ruby/1.9.1/net/http.rb:29:in `require'
from /usr/local/lib/ruby/1.9.1/net/http.rb:29:in `<top (required)>'
from /usr/local/lib/ruby/gems/1.9.1/gems/mechanize-0.9.3/lib/www/
mechanize.rb:1:in `require'
from /usr/local/lib/ruby/gems/1.9.1/gems/mechanize-0.9.3/lib/www/
mechanize.rb:1:in `<top (required)>'
from /usr/local/lib/ruby/gems/1.9.1/gems/mechanize-0.9.3/lib/
mechanize.rb:7:in `require'
from /usr/local/lib/ruby/gems/1.9.1/gems/mechanize-0.9.3/lib/
mechanize.rb:7:in `<top (required)>'
from /usr/local/lib/ruby/gems/1.9.1/gems/multistockphoto-0.9.0/lib/
multistockphoto/site_zoonar.rb:3:in `require'
from /usr/local/lib/ruby/gems/1.9.1/gems/multistockphoto-0.9.0/lib/
multistockphoto/site_zoonar.rb:3:in `<top (required)>'
from /usr/local/lib/ruby/gems/1.9.1/gems/multistockphoto-0.9.0/lib/
multistockphoto.rb:15:in `require'
from /usr/local/lib/ruby/gems/1.9.1/gems/multistockphoto-0.9.0/lib/
multistockphoto.rb:15:in `<top (required)>'
from /usr/local/lib/ruby/gems/1.9.1/gems/multistockphoto-0.9.0/bin/
multistockphoto:5:in `require'
from /usr/local/lib/ruby/gems/1.9.1/gems/multistockphoto-0.9.0/bin/
multistockphoto:5:in `<top (required)>'
from /usr/local/bin/multistockphoto:19:in `load'
from /usr/local/bin/multistockphoto:19:in `<main>'
 

Lesen sie die antworten

#1 Robert Peters
24/07/2009 - 17:15 | Warnen spam
Kannst du den Teil des Quelltextes veröffentlichen?

Wenn ich mir nur die Fehlermeldung ansehe würde ich vermuten, dass er ein
Array mit sich selbst joint.

-Robert

Ähnliche fragen